gnutls_hmac_copy(3)

NAME
gnutls_hmac_copy - API function

SYNOPSIS
#include <gnutls/crypto.h>

gnutls_hmac_hd_t gnutls_hmac_copy(gnutls_hmac_hd_t handle);

ARGUMENTS

gnutls_hmac_hd_t handle
    is a gnutls_hmac_hd_t type

DESCRIPTION
This function will create a copy of MAC context, containing all its current state. Copying contexts for MACs registered using gnutls_crypto_register_mac() is not supported and will always result in an error. In addition to that, some of the MAC implementations do not support this operation. Applications should check the return value and provide a proper fallback.

RETURNS
new MAC context or NULL in case of an error.

SINCE
3.6.9

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/